use strict;
use warnings;
use Test::More tests =>  8;
use File::Temp;

use_ok('LATMOS::Accounts::Bases');
use_ok('LATMOS::Accounts::Bases::Objects');
use_ok('LATMOS::Accounts::Bases::Unix');

my $dir = File::Temp::tempdir;

foreach (qw(passwd shadow group gshadow)) {
    system('cp', "testdata/$_", "$dir/$_");
}

ok(my $unixb = LATMOS::Accounts::Bases->new(
    'unix',
    passwd  => "$dir/passwd",
    shadow  => "$dir/shadow",
    group   => "$dir/group",
    gshadow => "$dir/gshadow",
    ), "Can get unix base");
isa_ok($unixb, 'LATMOS::Accounts::Bases');
isa_ok($unixb, 'LATMOS::Accounts::Bases::Unix');

ok($unixb->load,   "Can load unix base");
ok($unixb->commit, "Can save unix base");

system('rm', '-fr', $dir);
